Subject: bug#35564: [PATCH v5] Tweak dired warning about "wildcard" characters

From: Eli Zaretskii <[email-masked]>
Date: Fri, 20 Dec 2019 10:53:30 +0200

> From: Juri Linkov <[email-masked]>
> Cc: [email-masked],  Michael Heerdegen <[email-masked]>,
>   Noam Postavsky <[email-masked]>,  Stefan Monnier
>  <[email-masked]>,  Eli Zaretskii <[email-masked]>,  Drew Adams
>  <[email-masked]>
> Date: Fri, 20 Dec 2019 00:01:03 +0200
> 
> > Once applied, the patches can be tried out by
> >
> > - opening a Dired buffer,
> > - hitting '!',
> > - inputting e.g. "sed 's/?/!/'".
> >
> > WDYT?
> 
> Thanks.  I tried out your patch with read-char-from-minibuffer
> and it works smoothly without any problem.  Please ask Eli
> for a permission to push it before starting the pretest.

I'll let other participants of this long discussion to chime in, but
in general I'd like to postpone this till after the emacs-27 branch is
cut (hopefully, very soon), as this constitutes a significant behavior
change, AFAIU.

Thanks.